
Smart Proxy - Feature #21350

Allow restricting TLS version

10/17/2017 02:51 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 1.17.0

Triaged: No Found in Releases:  

Bugzilla link: 1530546 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/559,

https://github.com/theforeman/puppet-for

eman_proxy/pull/397,

https://github.com/theforeman/smart-pro

xy/pull/587

  

Description

Related issues:

Related to foreman-tasks - Bug #22391: Support disabling specific versions of... Closed 01/23/2018

Related to Smart Proxy - Bug #23917: TLS disabled versions in smart proxy sho... Closed

Associated revisions

Revision d5f0f004 - 01/03/2018 07:22 PM - Eric Helms

Fixes #21350 - Allow restricting to TLSv1.2

History

#1 - 10/17/2017 02:56 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/smart-proxy/pull/547 added

#2 - 01/03/2018 10:20 AM - Tomer Brisker

- Bugzilla link set to 1530546

#3 - 01/03/2018 03:44 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/559 added

#4 - 01/03/2018 05:21 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/smart-proxy/pull/547)

#5 - 01/03/2018 05:21 PM - Ewoud Kohl van Wijngaarden

- Assignee changed from Eric Helms to Stephen Benjamin

#6 - 01/03/2018 05:40 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/397 added

#7 - 01/03/2018 08:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset d5f0f0043f49dd1f6b790b9d17cbf42f7a250152.

#8 - 01/23/2018 03:46 PM - Stephen Benjamin

- Related to Bug #22391: Support disabling specific versions of TLS in dynflow core added

#9 - 06/12/2018 07:23 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/587 added

#10 - 06/13/2018 12:10 PM - Stephen Benjamin

- Related to Bug #23917: TLS disabled versions in smart proxy should be converted to string added

#11 - 04/18/2019 03:07 PM - Ewoud Kohl van Wijngaarden

- Fixed in Releases 1.17.0 added

#12 - 04/18/2019 03:09 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Feature
